HDF: java/src/jni/hdfsdsImp.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
hdfsdsImp.h File Reference
`#include <jni.h>`

## Functions
JNIEXPORT jlong JNICALL | Java_hdf_hdflib_HDFLibrary_SDstart (JNIEnv *env, jclass clss, jstring filename, jint access)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDend (JNIEnv *env, jclass clss, jlong sdid)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_SDfileinfo (JNIEnv *env, jclass clss, jlong sdid, jintArray argv)
JNIEXPORT jlong JNICALL | Java_hdf_hdflib_HDFLibrary_SDselect (JNIEnv *env, jclass clss, jlong sdid, jint index)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_SDnametoindex (JNIEnv *env, jclass clss, jlong sdid, jstring name)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDgetinfo (JNIEnv *env, jclass clss, jlong sdsid, jobjectArray name, jintArray dimsizes, jintArray argv)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDreaddata (JNIEnv *env, jclass clss, jlong sdsid, jintArray start, jintArray stride, jintArray count, jbyteArray data)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDreaddata_1short (JNIEnv *env, jclass clss, jlong sdsid, jintArray start, jintArray stride, jintArray count, jshortArray data)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDreaddata_1int (JNIEnv *env, jclass clss, jlong sdsid, jintArray start, jintArray stride, jintArray count, jintArray data)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDreaddata_1long (JNIEnv *env, jclass clss, jlong sdsid, jintArray start, jintArray stride, jintArray count, jlongArray data)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDreaddata_1float (JNIEnv *env, jclass clss, jlong sdsid, jintArray start, jintArray stride, jintArray count, jfloatArray data)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDreaddata_1double (JNIEnv *env, jclass clss, jlong sdsid, jintArray start, jintArray stride, jintArray count, jdoubleArray data)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDendaccess (JNIEnv *env, jclass clss, jlong sdsid)
JNIEXPORT jlong JNICALL | Java_hdf_hdflib_HDFLibrary_SDgetdimid (JNIEnv *env, jclass clss, jlong sdsid, jint index)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDdiminfo (JNIEnv *env, jclass clss, jlong dimid, jobjectArray dimname, jintArray argv)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_SDidtoref (JNIEnv *env, jclass clss, jlong sdsid)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_SDreftoindex (JNIEnv *env, jclass clss, jlong sdid, jint ref)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDattrinfo (JNIEnv *env, jclass clss, jlong sdsid, jint index, jobjectArray name, jintArray argv)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDreadattr (JNIEnv *env, jclass clss, jlong sdsid, jint index, jbyteArray dat)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_SDfindattr (JNIEnv *env, jclass clss, jlong sdsid, jstring name)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDiscoordvar (JNIEnv *env, jclass clss, jlong sdsid)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDgetcal (JNIEnv *env, jclass clss, jlong sdsid, jdoubleArray argv, jintArray nt)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDgetdatastrs (JNIEnv *env, jclass clss, jlong sdsid, jobjectArray strings, jint len)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDgetdimstrs (JNIEnv *env, jclass clss, jlong dimid, jobjectArray strings, jint len)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDgetdimscale (JNIEnv *env, jclass clss, jlong dimid, jbyteArray data)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDgetfillvalue (JNIEnv *env, jclass clss, jlong sdsid, jbyteArray data)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDgetrange (JNIEnv *env, jclass clss, jlong sdsid, jbyteArray max, jbyteArray min)
JNIEXPORT jlong JNICALL | Java_hdf_hdflib_HDFLibrary_SDcreate (JNIEnv *env, jclass clss, jlong sd_id, jstring name, jlong number_type, jint rank, jintArray dimsizes)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDisrecord (JNIEnv *env, jclass clss, jlong sdsid)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDsetattr (JNIEnv *env, jclass clss, jlong s_id, jstring attr_name, jlong num_type, jint count, jbyteArray values)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDsetcal (JNIEnv *env, jclass clss, jlong sds_id, jdouble cal, jdouble cal_err, jdouble offset, jdouble offset_err, jint number_type)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDsetdatastrs (JNIEnv *env, jclass clss, jlong sds_id, jstring label, jstring unit, jstring format, jstring coordsys)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDsetdimname (JNIEnv *env, jclass clss, jlong dim_id, jstring dim_name)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDsetdimscale (JNIEnv *env, jclass clss, jlong dim_id, jint count, jint number_type, jbyteArray data)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDsetdimstrs (JNIEnv *env, jclass clss, jlong dim_id, jstring label, jstring unit, jstring format)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDsetexternalfile (JNIEnv *env, jclass clss, jlong sds_id, jstring filename, jint offset)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDsetfillvalue (JNIEnv *env, jclass clss, jlong sds_id, jbyteArray fill_val)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDsetrange (JNIEnv *env, jclass clss, jlong sdsid, jbyteArray max, jbyteArray min)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDwritedata (JNIEnv *env, jclass clss, jlong sdsid, jintArray start, jintArray stride, jintArray edge, jbyteArray data)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDsetnbitdataset (JNIEnv *env, jclass clss, jlong sdsid, jint start_bit, jint bit_len, jint sign_ext, jint fill_one)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDsetcompress (JNIEnv *env, jclass clss, jlong sdsid, jint type, jobject cinfo)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDgetcompinfo (JNIEnv *env, jclass clss, jlong sdsid, jobject cinfo)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDgetcompress (JNIEnv *env, jclass clss, jlong sdsid, jobject cinfo)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDsetaccesstype (JNIEnv *env, jclass clss, jlong sdsid, jint accesstype)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDsetblocksize (JNIEnv *env, jclass clss, jlong sdsid, jint block_size)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDsetfillmode (JNIEnv *env, jclass clss, jlong sdsid, jint fillmode)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDsetdimval_1comp (JNIEnv *env, jclass clss, jlong sdsid, jint comp_mode)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDisdimval_1bwcomp (JNIEnv *env, jclass clss, jlong dimid)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDsetchunk (JNIEnv *env, jclass clss, jlong sdsid, jobject chunk_def, jint flags)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDgetchunkinfo (JNIEnv *env, jclass clss, jlong sdsid, jobject chunk_def, jintArray cflags)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDreadchunk (JNIEnv *env, jclass clss, jlong sdid, jintArray origin, jbyteArray dat)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_SDsetchunkcache (JNIEnv *env, jclass clss, jlong sdsid, jint maxcache, jint flags)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDwritechunk (JNIEnv *env, jclass clss, jlong sdid, jintArray origin, jbyteArray dat)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_SDcheckempty (JNIEnv *env, jclass clss, jlong sdsid, jintArray emptySDS)

## Function Documentation

## ◆ Java_hdf_hdflib_HDFLibrary_SDattrinfo()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDattrinfo | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jint | index,
|  | jobjectArray | name,
|  | jintArray | argv )

## ◆ Java_hdf_hdflib_HDFLibrary_SDcheckempty()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDcheckempty | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jintArray | emptySDS )

## ◆ Java_hdf_hdflib_HDFLibrary_SDcreate()

JNIEXPORT jlong JNICALL Java_hdf_hdflib_HDFLibrary_SDcreate | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sd_id,
|  | jstring | name,
|  | jlong | number_type,
|  | jint | rank,
|  | jintArray | dimsizes )

## ◆ Java_hdf_hdflib_HDFLibrary_SDdiminfo()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDdiminfo | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | dimid,
|  | jobjectArray | dimname,
|  | jintArray | argv )

## ◆ Java_hdf_hdflib_HDFLibrary_SDend()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDend | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdid )

## ◆ Java_hdf_hdflib_HDFLibrary_SDendaccess()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDendaccess | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid )

## ◆ Java_hdf_hdflib_HDFLibrary_SDfileinfo()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_SDfileinfo | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdid,
|  | jintArray | argv )

## ◆ Java_hdf_hdflib_HDFLibrary_SDfindattr()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_SDfindattr | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jstring | name )

## ◆ Java_hdf_hdflib_HDFLibrary_SDgetcal()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDgetcal | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jdoubleArray | argv,
|  | jintArray | nt )

## ◆ Java_hdf_hdflib_HDFLibrary_SDgetchunkinfo()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDgetchunkinfo | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jobject | chunk_def,
|  | jintArray | cflags )

## ◆ Java_hdf_hdflib_HDFLibrary_SDgetcompinfo()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDgetcompinfo | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jobject | cinfo )

## ◆ Java_hdf_hdflib_HDFLibrary_SDgetcompress()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDgetcompress | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jobject | cinfo )

## ◆ Java_hdf_hdflib_HDFLibrary_SDgetdatastrs()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDgetdatastrs | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jobjectArray | strings,
|  | jint | len )

## ◆ Java_hdf_hdflib_HDFLibrary_SDgetdimid()

JNIEXPORT jlong JNICALL Java_hdf_hdflib_HDFLibrary_SDgetdimid | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jint | index )

## ◆ Java_hdf_hdflib_HDFLibrary_SDgetdimscale()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDgetdimscale | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | dimid,
|  | jbyteArray | data )

## ◆ Java_hdf_hdflib_HDFLibrary_SDgetdimstrs()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDgetdimstrs | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | dimid,
|  | jobjectArray | strings,
|  | jint | len )

## ◆ Java_hdf_hdflib_HDFLibrary_SDgetfillvalue()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDgetfillvalue | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jbyteArray | data )

## ◆ Java_hdf_hdflib_HDFLibrary_SDgetinfo()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDgetinfo | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jobjectArray | name,
|  | jintArray | dimsizes,
|  | jintArray | argv )

## ◆ Java_hdf_hdflib_HDFLibrary_SDgetrange()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDgetrange | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jbyteArray | max,
|  | jbyteArray | min )

## ◆ Java_hdf_hdflib_HDFLibrary_SDidtoref()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_SDidtoref | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid )

## ◆ Java_hdf_hdflib_HDFLibrary_SDiscoordvar()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDiscoordvar | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid )

## ◆ Java_hdf_hdflib_HDFLibrary_SDisdimval_1bwcomp()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDisdimval_1bwcomp | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | dimid )

## ◆ Java_hdf_hdflib_HDFLibrary_SDisrecord()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDisrecord | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid )

## ◆ Java_hdf_hdflib_HDFLibrary_SDnametoindex()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_SDnametoindex | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdid,
|  | jstring | name )

## ◆ Java_hdf_hdflib_HDFLibrary_SDreadattr()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDreadattr | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jint | index,
|  | jbyteArray | dat )

## ◆ Java_hdf_hdflib_HDFLibrary_SDreadchunk()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDreadchunk | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdid,
|  | jintArray | origin,
|  | jbyteArray | dat )

## ◆ Java_hdf_hdflib_HDFLibrary_SDreaddata()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDreaddata | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jintArray | start,
|  | jintArray | stride,
|  | jintArray | count,
|  | jbyteArray | data )

## ◆ Java_hdf_hdflib_HDFLibrary_SDreaddata_1double()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDreaddata_1double | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jintArray | start,
|  | jintArray | stride,
|  | jintArray | count,
|  | jdoubleArray | data )

## ◆ Java_hdf_hdflib_HDFLibrary_SDreaddata_1float()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDreaddata_1float | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jintArray | start,
|  | jintArray | stride,
|  | jintArray | count,
|  | jfloatArray | data )

## ◆ Java_hdf_hdflib_HDFLibrary_SDreaddata_1int()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDreaddata_1int | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jintArray | start,
|  | jintArray | stride,
|  | jintArray | count,
|  | jintArray | data )

## ◆ Java_hdf_hdflib_HDFLibrary_SDreaddata_1long()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDreaddata_1long | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jintArray | start,
|  | jintArray | stride,
|  | jintArray | count,
|  | jlongArray | data )

## ◆ Java_hdf_hdflib_HDFLibrary_SDreaddata_1short()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDreaddata_1short | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jintArray | start,
|  | jintArray | stride,
|  | jintArray | count,
|  | jshortArray | data )

## ◆ Java_hdf_hdflib_HDFLibrary_SDreftoindex()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_SDreftoindex | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdid,
|  | jint | ref )

## ◆ Java_hdf_hdflib_HDFLibrary_SDselect()

JNIEXPORT jlong JNICALL Java_hdf_hdflib_HDFLibrary_SDselect | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdid,
|  | jint | index )

## ◆ Java_hdf_hdflib_HDFLibrary_SDsetaccesstype()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDsetaccesstype | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jint | accesstype )

## ◆ Java_hdf_hdflib_HDFLibrary_SDsetattr()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDsetattr | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | s_id,
|  | jstring | attr_name,
|  | jlong | num_type,
|  | jint | count,
|  | jbyteArray | values )

## ◆ Java_hdf_hdflib_HDFLibrary_SDsetblocksize()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDsetblocksize | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jint | block_size )

## ◆ Java_hdf_hdflib_HDFLibrary_SDsetcal()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDsetcal | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sds_id,
|  | jdouble | cal,
|  | jdouble | cal_err,
|  | jdouble | offset,
|  | jdouble | offset_err,
|  | jint | number_type )

## ◆ Java_hdf_hdflib_HDFLibrary_SDsetchunk()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDsetchunk | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jobject | chunk_def,
|  | jint | flags )

## ◆ Java_hdf_hdflib_HDFLibrary_SDsetchunkcache()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_SDsetchunkcache | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jint | maxcache,
|  | jint | flags )

## ◆ Java_hdf_hdflib_HDFLibrary_SDsetcompress()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDsetcompress | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jint | type,
|  | jobject | cinfo )

## ◆ Java_hdf_hdflib_HDFLibrary_SDsetdatastrs()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDsetdatastrs | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sds_id,
|  | jstring | label,
|  | jstring | unit,
|  | jstring | format,
|  | jstring | coordsys )

## ◆ Java_hdf_hdflib_HDFLibrary_SDsetdimname()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDsetdimname | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | dim_id,
|  | jstring | dim_name )

## ◆ Java_hdf_hdflib_HDFLibrary_SDsetdimscale()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDsetdimscale | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | dim_id,
|  | jint | count,
|  | jint | number_type,
|  | jbyteArray | data )

## ◆ Java_hdf_hdflib_HDFLibrary_SDsetdimstrs()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDsetdimstrs | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | dim_id,
|  | jstring | label,
|  | jstring | unit,
|  | jstring | format )

## ◆ Java_hdf_hdflib_HDFLibrary_SDsetdimval_1comp()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDsetdimval_1comp | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jint | comp_mode )

## ◆ Java_hdf_hdflib_HDFLibrary_SDsetexternalfile()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDsetexternalfile | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sds_id,
|  | jstring | filename,
|  | jint | offset )

## ◆ Java_hdf_hdflib_HDFLibrary_SDsetfillmode()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDsetfillmode | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jint | fillmode )

## ◆ Java_hdf_hdflib_HDFLibrary_SDsetfillvalue()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDsetfillvalue | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sds_id,
|  | jbyteArray | fill_val )

## ◆ Java_hdf_hdflib_HDFLibrary_SDsetnbitdataset()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDsetnbitdataset | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jint | start_bit,
|  | jint | bit_len,
|  | jint | sign_ext,
|  | jint | fill_one )

## ◆ Java_hdf_hdflib_HDFLibrary_SDsetrange()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDsetrange | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jbyteArray | max,
|  | jbyteArray | min )

## ◆ Java_hdf_hdflib_HDFLibrary_SDstart()

JNIEXPORT jlong JNICALL Java_hdf_hdflib_HDFLibrary_SDstart | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | filename,
|  | jint | access )

## ◆ Java_hdf_hdflib_HDFLibrary_SDwritechunk()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDwritechunk | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdid,
|  | jintArray | origin,
|  | jbyteArray | dat )

## ◆ Java_hdf_hdflib_HDFLibrary_SDwritedata()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_SDwritedata | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jintArray | start,
|  | jintArray | stride,
|  | jintArray | edge,
|  | jbyteArray | data )